+9

Bolt 1.4.11 broken in 2019.3.10f1

Corjn 2 years ago updated by Nicholas 2 years ago 2

Hey,

Bolt 1.4.11 is broken in 2019.3.10f1

Repro : Start a new project. Install Bolt. Try to open a bolt window. It won't show and log this :

"MissingMemberException: Member 'UnityEditor.EditorWindow.ShowModal' not found.
Ludiq.LudiqGUIUtility..cctor () (at <75479a292f634cecafcc6d9c858e3997>:0)
Rethrow as UnityEditorInternalException: An error occured while accessing internal Unity Editor functions. This might happen if Unity makes backward-incompatible changes in their newer versions of the editor.
Ludiq.LudiqGUIUtility..cctor () (at <75479a292f634cecafcc6d9c858e3997>:0)
Rethrow as TypeInitializationException: The type initializer for 'Ludiq.LudiqGUIUtility' threw an exception.
Ludiq.AssemblyResourceProvider.LoadTexture (System.String path, Ludiq.CreateTextureOptions options) (at <75479a292f634cecafcc6d9c858e3997>:0)
Ludiq.EditorTexture.Load (Ludiq.IResourceProvider resources, System.String path, Ludiq.TextureResolution[] resolutions, Ludiq.CreateTextureOptions options, System.Boolean required) (at <75479a292f634cecafcc6d9c858e3997>:0)
Ludiq.EditorTexture.Load (System.Collections.Generic.IEnumerable`1[T] resourceProviders, System.String path, Ludiq.TextureResolution[] resolutions, Ludiq.CreateTextureOptions options, System.Boolean required) (at <75479a292f634cecafcc6d9c858e3997>:0)
Ludiq.PluginResources.LoadIcon (System.String path, System.Boolean required) (at <75479a292f634cecafcc6d9c858e3997>:0)
Bolt.AssemblyOptionsPage..ctor () (at <695a5f711a5f451bba89509543d60219>:0)
Bolt.UnitOptionsWizard..ctor () (at <695a5f711a5f451bba89509543d60219>:0)
Bolt.UnitOptionsWizard..cctor () (at <695a5f711a5f451bba89509543d60219>:0)
Rethrow as TypeInitializationException: The type initializer for 'Bolt.UnitOptionsWizard' threw an exception."

Would be cool to have a quick fix on this one, I updated my project, worked on some shaders for like 3 days, before I realised Bolt was broken when I need it, so I can't really downgrade my project. 

Thanks in advance, 
Jonathan 

Bolt Version:
1.4.11
Unity Version:
2019.3.10f1
Platform(s):
Windows
Scripting Backend:
Both
.NET Version (API Compatibility Level):
.NET 4.x

Seems like it's fixed with the latest release in the download section, thanks :) 

I have this occurring with the Bolt 2 alpha, and Unity 2019.3.11f1

Edit: seems to be OK when I downgrade to 2019.3.9f1